Subject: [Rfced-future] new issue: external representation

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 21 Sep 2021 12:39:35 -0600

Section 2.1.2.2 of RFC 8728 reads as follows:

   From time to time, individuals or organizations external to the IETF
   need a contact person to talk to about the RFC Series.  The RSE, or
   the RSE's designate, serves this role.

   Over time, the RSE should determine what, if any, means should be
   employed to increase end-user awareness of the series, to reinforce
   the stature of the series, and to provide the contact point for
   outside parties seeking information on the series or the Editor.

As far as I can see, we do not yet say anything about external
representation of the RFC Series in our document. Would individuals or
organizations external to the IETF (and the broader RFC Series
community) reach out to the RSAB?

Peter

---

From: Eliot Lear <[email-masked]>
Date: Tue, 21 Sep 2021 21:50:03 +0200

Issue 83.

---

From: Martin J. Dürst <[email-masked]>
Date: Wed, 22 Sep 2021 09:02:17 +0900

>> community) reach out to the RSAB?

What about "to the chair of the RSAB, who may delegate to an RSAB 
member, a RSWG chair, or the RSCE".

The idea would be that there's a clear, single point of contact, but 
that this contact can triage and hand off things quickly to the right 
person for the job.

Regards,   Martin.

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 21 Sep 2021 19:52:01 -0600

> that this contact can triage and hand off things quickly to the right

That seems reasonable.

Peter

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 21 Sep 2021 22:02:57 -0400

Minor point.  The RSCE is part of the RSAB, so it seems odd to list them 
twice.

Yours,
Joel

---

From: Sandy Ginoza <[email-masked]>
Date: Fri, 24 Sep 2021 11:23:53 -0700

> 
> On Sep 21, 2021, at 5:02 PM, Martin J. Dürst <[email-masked]> wrote:
> 
> What about "to the chair of the RSAB, who may delegate to an RSAB member, a RSWG chair, or the RSCE".
> 
> The idea would be that there's a clear, single point of contact, but that this contact can triage and hand off things quickly to the right person for the job.

I agree with this rationale - having a clear, single point of contact.  Perhaps <[email-masked]> could be used as a main point of contact — the RPC would address production-related inquiries, and redirect or escalate other items as needed.  

Thanks,
Sandy 

> 
> Regards,   Martin.
> 
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 Sep 2021 15:56:49 -0400

--On Friday, September 24, 2021 11:23 -0700 Sandy Ginoza
<[email-masked]> wrote:

>>>>     From time to time, individuals or organizations
>>>>     external to the IETF need a contact person to talk to
>>>>     about the RFC Series.  The RSE, or the RSE's designate,
>>>>     serves this role.
>>>> 
>>>>     Over time, the RSE should determine what, if any, means
>>>>     should be employed to increase end-user awareness of
>>>>     the series, to reinforce the stature of the series, and
>>>>     to provide the contact point for outside parties
>>>>     seeking information on the series or the Editor.
>>>> 
>>>> As far as I can see, we do not yet say anything about
>>>> external representation of the RFC Series in our document.
>>>> Would individuals or organizations external to the IETF
>>>> (and the broader RFC Series community) reach out to the
>>>> RSAB?
>> 
>> The idea would be that there's a clear, single point of
>> contact, but that this contact can triage and hand off things
>> quickly to the right person for the job.
> 
> I agree with this rationale - having a clear, single point of
> contact.  Perhaps <[email-masked]> could be used as
> a main point of contact — the RPC would address
> production-related inquiries, and redirect or escalate other
> items as needed. 

Of course, pointing to that email address as Sandy suggests,
rather than to a particular person or role, would have an added
advantage: that has been the point of contact for both external
and internal questions for several decades.  So, if someone
picks up and old document or reference with a pointer, that
pointer has not and will not change.  Expecting those external
people or organizations to read our latest documents is going to
be unrealistic in at least some cases and, if we can easily
dodge that issue, so much the better.

best,
   john

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Sep 2021 09:54:31 +1200

> dodge that issue, so much the better.

I agree, but I want to reiterate that for community input on
RFC Editor policy, the contact *by definition* is the community
working group, i.e. the RSWG. I can't see any normal
circumstances where the RSAB or its chair should be the initial
point of contact. The RSAB has no executive role.

Nor, for that matter, does the RSCE, because it's a *consulting*
role.

We really do need to remember that RSAB != RSOC and RSCE != RSE.
They both have intentionally limited powers and responsibilities.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 Sep 2021 18:07:31 -0400

--On Saturday, September 25, 2021 09:54 +1200 Brian E Carpenter
<[email-masked]> wrote:

>>>>>>     about the RFC Series.  The RSE, or the RSE's
>>>>>>     designate, serves this role.
>>>>>> 
>>>>>>     Over time, the RSE should determine what, if any,
>>>>>>     means should be employed to increase end-user
>>>>>>     awareness of the series, to reinforce the stature of
>>>>>>     the series, and to provide the contact point for
>>>> contact, but that this contact can triage and hand off
>>>> things quickly to the right person for the job.
>>> 
>>> contact.  Perhaps <[email-masked]> could be used
>>> as a main point of contact — the RPC would address
>> rather than to a particular person or role, would have an
>> added advantage: that has been the point of contact for both
>> external and internal questions for several decades.  So, if
>> someone picks up and old document or reference with a
>> pointer, that pointer has not and will not change.  Expecting
>> those external people or organizations to read our latest
>> documents is going to be unrealistic in at least some cases
>> and, if we can easily dodge that issue, so much the better.
> 
> Nor, for that matter, does the RSCE, because it's a
> *consulting* role.
> 
> We really do need to remember that RSAB != RSOC and RSCE !=
> RSE. They both have intentionally limited powers and
> responsibilities.

Brian,

Agreed.  However, I suggest that, if something arrives to the
several people I assume will be monitoring
[email-masked] that should go to the RSWG, it will be
forwarded in due course.  Noting that things sent to that
address have quickly ended up in the right hands for 35-odd
years now, even though the definition of "the right hands" has
changed multiple times, I hope we do not need to spell that out.
If that mechanism ceases to work, we will likely have much
bigger problems.

And, before someone asks, I hope we don't need to spell out
whethersome or all of the RSAG, the RSCE, or someone else ought
to be on the distribution of [email-masked] as well
as some or all of the RPC.  I think it is reasonable to assume
that the people involved will figure out The Right Thing and do
it... and that the distribution list might even change over time
as things evolve.

   john

---

From: Michael StJohns <[email-masked]>
Date: Fri, 24 Sep 2021 18:41:39 -0400

On 9/24/2021 5:54 PM, Brian E Carpenter wrote:
> RFC Editor policy, the contact*by definition*  is the community
> Nor, for that matter, does the RSCE, because it's a*consulting*
> role.
>

Actually, no.

Input to the policy process goes to the RSWG. Questions about tactical 
interpretations and implementation hits of the policy go to the 
RSAB/RSCE.  I would see the latter being the first place an author or 
the RPC would go to help parse WG written policy.

A WG does not have a normative opinion or an ability to form one except 
through the creation and publication of documents - a process that can 
take months if not years.  *Members* of the WG on the other hand have 
opinions that can be all over the place (cf this group) and differ 
widely and passionately and picking one to present as an answer seems 
fraught.  Given that tactical decisions often require resolution in 
somewhat less than WG time, the RSAB and RSCE are the appropriate places 
for those decisions to be made.  I would expect that placing them as the 
first point of contact with a requirement to refer to the RSWG anything 
out of their wheelhouse is the appropriate approach, not, as you appear 
to suggest, having the RSWG as the first in line for questions.

As for your use of "executive" - neither of these groups are executive 
in the normal meaning of the word.  Jay, the LLC and really, the RSCE 
and RPC have the "power to put plans...into effect" within the RFC 
system within their defined roles and responsibilities.

Later, Mike

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Sep 2021 11:09:19 +1200

Mike,

below...
> the RPC would go to help parse WG written policy.

Yes, but the thread started about how we present the new system to
the outside world, and where outside contacts would go. Sorry if
that wasn't clear in what I wrote.

   Brian

---

From: Michael StJohns <[email-masked]>
Date: Fri, 24 Sep 2021 19:40:46 -0400

Ditto

> that wasn't clear in what I wrote.

Then I'm really confused.  The thread just above your text was with 
respect to the [email-masked] mailing alias.  You appeared to 
be saying that you wanted that alias to point to the WG.   Which made 
your reference to "executive" and your exclusion of the RSAB/RSCE as the 
first point of contact really quite strange.

The RSCE/RSAB should monitor the alias and point anything outside of 
their wheelhouse at the WG.  I *really* don't think that the RSWG needs 
to be getting the email from this alias - way too much of a noise source 
both on input to the RSWG and potentially from the RSWG back to that alias.

Going back to the original text -

>      about the RFC Series.  The RSE, or the RSE's designate,

This IMO is exactly correct (or maybe with the RSAB) with the caveat 
they refer the inquiry somewhere else if necessary.

Mike

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 Sep 2021 19:54:05 -0400

--On Friday, September 24, 2021 19:40 -0400 Michael StJohns
<[email-masked]> wrote:

> This IMO is exactly correct (or maybe with the RSAB) with the
> caveat they refer the inquiry somewhere else if necessary.

Or, once again, we take Sandy's suggestion (at least as I
understood it), direct such queries to
[email-masked], and let whomever is monitoring that
address decide where each individual external query should be
directed rather than our trying to predict every situation in
this document.   I agree that adding the RSWG to that address/
distribution would almost certainly be a bad idea, but...

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Sep 2021 11:54:30 +1200

> first point of contact really quite strange.

No. I was assuming what John Klensin said: that a person at [email-masked]
would dispatch messages. Sorry, one of the downsides of long threads.

> both on input to the RSWG and potentially from the RSWG back to that alias.

Agreed. But in some cases, the person at [email-masked] would
either forward a message to the RSWG or refer the user directly to the
RSWG.

> they refer the inquiry somewhere else if necessary.

Sure. The /contact page can be the vector for that, of course.

   Brian

---

From: Eliot Lear <[email-masked]>
Date: Sat, 25 Sep 2021 13:23:13 +0200

Ok.

Boiling this down to two points:

I think I am hearing agreement that incoming point of contact should 
remain [email-masked].  I am not sure that any text in the 
document is needed for this.

Then there is the outreach aspect of the function.  With whom should 
that rest, and should it be articulated now or later?

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 26 Sep 2021 10:27:37 +1300

> that rest, and should it be articulated now or later?

I'd vote for later. It's implicit that several pages at rfc-editor.org
will need updating, and I'm not convinced that we need outreach beyond that
plus informational messages to the obvious mailing lists.

   Brian